Skip to main content
POST
/
admin
/
organizations
/
{org_id}
/
registry
/
repositories
/
{repository_id}
/
sync
Error
A valid request URL is required to generate request examples
{
  "success": true,
  "repository_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "origin": "<string>",
  "version": "<string>",
  "commit_sha": "<string>",
  "actions_count": 123,
  "forced": false,
  "skipped": false,
  "message": "<string>"
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}

Authorizations

fastapiusersauth
string
cookie
required

Path Parameters

org_id
string<uuid>
required
repository_id
string<uuid>
required

Body

application/json

Organization registry sync request.

force
boolean
default:false

Force sync by deleting the existing version first

Response

Successful Response

Organization registry sync response.

success
boolean
required
repository_id
string<uuid>
required
origin
string
required
version
string | null
commit_sha
string | null
actions_count
integer | null
forced
boolean
default:false
skipped
boolean
default:false
message
string | null